---
references:
- id: BerkenkampSafe2015
  accessed:
    - year: 2019
      month: 9
      day: 19
  author:
    - family: Berkenkamp
      given: Felix
    - family: Schoellig
      given: Angela P.
  citation-key: BerkenkampSafe2015
  container-title: 2015 European Control Conference (ECC)
  DOI: 10.1109/ECC.2015.7330913
  event-place: Linz, Austria
  event-title: 2015 European Control Conference (ECC)
  ISBN: 978-3-9524269-3-7
  issued:
    - year: 2015
      month: 7
  language: en
  page: 2496-2501
  publisher: IEEE
  publisher-place: Linz, Austria
  title: Safe and robust learning control with Gaussian processes
  type: paper-conference

- id: ChangReversible2018
  accessed:
    - year: 2018
      month: 4
      day: 23
  author:
    - family: Chang
      given: Bo
    - family: Meng
      given: Lili
    - family: Haber
      given: Eldad
    - family: Ruthotto
      given: Lars
    - family: Begert
      given: David
    - family: Holtham
      given: Elliot
  citation-key: ChangReversible2018
  container-title: arXiv:1709.03698 [cs, stat]
  event-title: AAAI
  issued:
    - year: 2018
  title: Reversible Architectures for Arbitrarily Deep Residual Neural Networks
  type: paper-conference
  URL: http://arxiv.org/abs/1709.03698

- id: GuCombining2021
  accessed:
    - year: 2022
      month: 8
      day: 6
  author:
    - family: Gu
      given: Albert
    - family: Johnson
      given: Isys
    - family: Goel
      given: Karan
    - family: Saab
      given: Khaled
    - family: Dao
      given: Tri
    - family: Rudra
      given: Atri
    - family: Ré
      given: Christopher
  citation-key: GuCombining2021
  container-title: Advances in Neural Information Processing Systems
  DOI: 10.48550/arXiv.2110.13985
  event-title: Advances in Neural Information Processing Systems
  issued:
    - year: 2021
  page: 572–585
  publisher: Curran Associates, Inc.
  title: >-
    Combining Recurrent, Convolutional, and Continuous-time Models with Linear
    State Space Layers
  type: paper-conference
  URL: http://arxiv.org/abs/2110.13985
  volume: '34'

- id: HaddadNonlinear2011
  accessed:
    - year: 2018
      month: 8
      day: 8
  author:
    - family: Haddad
      given: Wassim M
    - family: Chellaboina
      given: VijaySekhar
  citation-key: HaddadNonlinear2011
  event-place: Princeton
  ISBN: 978-1-4008-4104-2
  issued:
    - year: 2011
  language: English
  publisher: Princeton University Press
  publisher-place: Princeton
  title: 'Nonlinear Dynamical Systems and Control: a Lyapunov-Based Approach.'
  type: book
  URL: http://public.eblib.com/choice/publicfullrecord.aspx?p=768552

- id: LawrenceAlmost2020
  accessed:
    - year: 2020
      month: 12
      day: 13
  author:
    - family: Lawrence
      given: Nathan
    - family: Loewen
      given: Philip
    - family: Forbes
      given: Michael
    - family: Backstrom
      given: Johan
    - family: Gopaluni
      given: Bhushan
  citation-key: LawrenceAlmost2020
  container-title: Advances in Neural Information Processing Systems
  issued:
    - year: 2020
  language: en
  title: Almost Surely Stable Deep Dynamics
  type: paper-conference
  URL: >-
    https://proceedings.neurips.cc//paper_files/paper/2020/hash/daecf755df5b1d637033bb29b319c39a-Abstract.html
  volume: '33'

- id: MohammedLyapunov1997
  accessed:
    - year: 2018
      month: 3
      day: 23
  author:
    - family: Mohammed
      given: Salah-Eldin A.
    - family: Scheutzow
      given: Michael K. R.
  citation-key: MohammedLyapunov1997
  container-title: The Annals of Probability
  container-title-short: Ann. Probab.
  DOI: 10.1214/aop/1024404511
  ISSN: 0091-1798, 2168-894X
  issue: '3'
  issued:
    - year: 1997
      month: 7
  language: en
  page: 1210-1240
  title: >-
    Lyapunov exponents of linear stochastic functional-differential equations.
    II. Examples and case studies
  type: article-journal
  volume: '25'

- id: PathakUsing2017
  accessed:
    - year: 2018
      month: 5
      day: 16
  author:
    - family: Pathak
      given: Jaideep
    - family: Lu
      given: Zhixin
    - family: Hunt
      given: Brian R.
    - family: Girvan
      given: Michelle
    - family: Ott
      given: Edward
  citation-key: PathakUsing2017
  container-title: 'Chaos: An Interdisciplinary Journal of Nonlinear Science'
  DOI: 10.1063/1.5010300
  ISSN: 1054-1500, 1089-7682
  issue: '12'
  issued:
    - year: 2017
      month: 12
  page: '121102'
  title: >-
    Using Machine Learning to Replicate Chaotic Attractors and Calculate
    Lyapunov Exponents from Data
  type: article-journal
  URL: http://arxiv.org/abs/1710.07313
  volume: '27'

- id: RobertsPrinciples2021
  accessed:
    - year: 2021
      month: 10
      day: 23
  author:
    - family: Roberts
      given: Daniel A.
    - family: Yaida
      given: Sho
    - family: Hanin
      given: Boris
  citation-key: RobertsPrinciples2021
  container-title: arXiv:2106.10165 [hep-th, stat]
  issued:
    - year: 2021
      month: 8
      day: 24
  title: The Principles of Deep Learning Theory
  type: article-journal
  URL: http://arxiv.org/abs/2106.10165

- id: SmithDisentangling2000
  author:
    - family: Smith
      given: Leonard A
  citation-key: SmithDisentangling2000
  container-title: Nonlinear Dynamics and Statistics
  contributor:
    - family: Mees
      given: Alistair I
  issued:
    - year: 2000
  title: >-
    Disentangling Uncertainty and Error: On the predictability of nonlinear
    systems
  type: chapter
...
